From 556603b630a547f333afb91edfef78a0fe2c5a2c Mon Sep 17 00:00:00 2001
From: Erik Wienhold <ewie@ewie.name>
Date: Mon, 23 Oct 2023 02:43:25 +0200
Subject: [PATCH v1] doc: Add note on case-sensitive matching in password file

Add this missing details which causes confusion again and again.
Especially for host names which are not case-sensitive when resolved
with DNS.
---
 doc/src/sgml/libpq.sgml | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index a52baa27d5..fee2bde8ff 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -8554,6 +8554,13 @@ myEventProc(PGEventId evtId, void *evtInfo, void *passThrough)
    the same password for all databases in the same cluster.
   </para>
 
+  <note>
+   <para>
+    The host name, database name, and user name are matched case-sensitively
+    to the respective connection parameters.
+   </para>
+  </note>
+
   <para>
    On Unix systems, the permissions on a password file must
    disallow any access to world or group; achieve this by a command such as
-- 
2.42.0

